package cn.superdesk.uniorder.dao.mapper.sys.logger;

import cn.superdesk.uniorder.dao.entity.sys.logger.SysMonitorFunctionLog;
import cn.superdesk.uniorder.dao.entity.sys.logger.SysMonitorFunctionLogExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysMonitorFunctionLogMapper {
    long countByExample(SysMonitorFunctionLogExample example);

    int deleteByExample(SysMonitorFunctionLogExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SysMonitorFunctionLog record);

    int insertSelective(SysMonitorFunctionLog record);

    List<SysMonitorFunctionLog> selectByExample(SysMonitorFunctionLogExample example);

    SysMonitorFunctionLog selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SysMonitorFunctionLog record, @Param("example") SysMonitorFunctionLogExample example);

    int updateByExample(@Param("record") SysMonitorFunctionLog record, @Param("example") SysMonitorFunctionLogExample example);

    int updateByPrimaryKeySelective(SysMonitorFunctionLog record);

    int updateByPrimaryKey(SysMonitorFunctionLog record);
}